org.eclipse.emf.cdo.view

## Interface CDORevisionPrefetchingPolicy

-     public interface CDORevisionPrefetchingPolicy

  A strategy interface to customize the `revision` prefetching behavior of a `view`.
  Since:
    2.0
  Author:
    Simon McDuff
  See Also:
    `CDOView.Options.setRevisionPrefetchingPolicy(CDORevisionPrefetchingPolicy)`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CDORevisionPrefetchingPolicy` | `NO_PREFETCHING`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<CDOID>` | `loadAhead(CDORevisionManager revisionManager, CDOBranchPoint branchPoint, EObject targetObject, EStructuralFeature feature, CDOList list, int accessIndex, CDOID accessID)`

- - ### Field Detail

    - #### NO_PREFETCHING

          static final CDORevisionPrefetchingPolicy NO_PREFETCHING

  - ### Method Detail

    - #### loadAhead

          java.util.List<CDOID> loadAhead(CDORevisionManager revisionManager,
                                          CDOBranchPoint branchPoint,
                                          EObject targetObject,
                                          EStructuralFeature feature,
                                          CDOList list,
                                          int accessIndex,
                                          CDOID accessID)

      Parameters:
        `revisionManager` - Lookup availability of objects in the cache with `CDORevisionManager.containsRevision(CDOID, CDOBranchPoint)`.
        `targetObject` - Container of the list
      Returns:
        Should return a list of id's to be fetch.
      Since:
        3.0

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html